Subject: lathe/mill purchase: heard of Shoptaak

From: [email-masked] (Rick Frazier)
Date: Sat, 18 Dec 1993 02:21:22 GMT

I'm considering buying a shoptask lathe/mill for use in a commercial environment,
primarily involving cutting plastics.   Sometimes, however, we may cut light metals,
and rarely, steels.  Shoptask is located in Aberdeen or Montesano, Washington, and
sells a combo unit that (I assume) is made in China or other parts "East".  I have
spoken with the people at Shoptask in WA, and with an owner locally here in San Jose,
CA, but am wondering if anyone with real metalworking experience has used one of these
units.  
It's a model 17-20MC, and has 17 inches swing over the bed, 8 inches over the carriage,
multiple lathe speeds, power feed, and  milling capacity of 11" x 24" advertised.

If anyone has one of these, does the unit meet the advertised specs?
Do you like it?
Is it worth the money?  ($1795 w/tooling, about $3000 with computer power feeds
on all three axis, $9000 with full CNC control.)

any pointers/comments will be welcome

--Thanks -- Rick